Skip to main content
Resource Center/Network Service/Network Service Operations/Load Balancing Operations
POSTLoad Balancing OperationsSince 4.0.0SynchronousAuth Required

AddBackendServerToServerGroup

AddBackendServerToServerGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • serverGroupUuidStringRequired

    The UUID of the server group for load balancing.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vmNicsList

      Optional. The NIC of the backend server.

    • serversList

      Optional. The IP address of the backend server.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/load-balancers/servergroups/{serverGroupUuid}/backendservers

/zstack/v1/load-balancers/servergroups/{serverGroupUuid}/backendservers

Operation ID

AddBackendServerToServerGroup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/load-balancers/servergroups/{serverGroupUuid}/backendservers' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vmNics":["<vmNics>"],"servers":["<servers>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history